package iup.app;
import org.relaxng.datatype.*;
import org.relaxng.datatype.helpers.ParameterlessDatatypeBuilder;
public class IupDL implements DatatypeLibrary {
  public DatatypeBuilder createDatatypeBuilder(String baseTypeLocalName)
    throws DatatypeException {
    if(baseTypeLocalName.equals("telephone")) {
      return new TypeTelephoneBuilder();
    } else {
      throw new DatatypeException();
    }
  }
  public Datatype createDatatype(String baseTypeLocalName) 
    throws DatatypeException {
    return createDatatypeBuilder(baseTypeLocalName).createDatatype();
  }
}
