package iup.app;
import org.relaxng.datatype.*;
public class TypeTelephoneBuilder implements DatatypeBuilder {
  private int nb=5;
  public void addParameter(String name,String strValue,
			   ValidationContext context)
    throws DatatypeException {
    // name -> nom du paramtre
    // strValue -> valeur du paramtre
    if(name.equals("nbBlocs")) {
      try {
	nb=Integer.parseInt(strValue);
	if (nb<=0) throw new DatatypeException();
      } catch (NumberFormatException e) {
	throw new DatatypeException();
      }
    } else {
      throw new DatatypeException();
    }
  }
  public Datatype createDatatype() throws DatatypeException {
    return new TypeTelephone(nb);
  }
}
