package iup.app;
import org.relaxng.datatype.*;
import org.relaxng.datatype.helpers.ParameterlessDatatypeBuilder;
public class IupDL implements DatatypeLibrary {
  public DatatypeBuilder createDatatypeBuilder(String baseTypeLocalName)
    throws DatatypeException {
    // pour l'instant, on fabrique des types qui n'utilisent pas de 
    // paramtres 
    return new ParameterlessDatatypeBuilder(createDatatype(baseTypeLocalName));
  }
  public Datatype createDatatype(String baseTypeLocalName) 
    throws DatatypeException {
    // on ne gre qu'un seul type dans cette bibliothque d'exemple
    if(baseTypeLocalName.equals("telephone")) {
      return new TypeTelephone();
    } else {
      throw new DatatypeException();
    }
  }
}
